require 'singleton'

class Application
	include Singleton

	def self.start(root)
		self.instance.start root
	end

	def start(root)
		require_tree '..'
		DesktopLoader.set_color_palette color_config[:palette]
		DesktopLoader.set_root root
		DesktopLoader.set_viewport_class Viewport
		DesktopLoader.build
	end

	def color_config
		ColorsConfig.value
	end


end
