require 'singleton'

class Viewport < Container
	include Singleton
	attr_reader :desktop

	def self.desktop
		self.instance.desktop
	end

	def initialize
		super
		add_desktop
	end

	def add_desktop
		@desktop = Workspace.instance
		add desktop, {flex: 1}
	end

end
